Mac Examsoft Users: Supported OS Versions for Examplify

 

You may have noticed the warnings advising you not to upgrade to Mac OS X Version 10.13.1. What you might not know is, this is an annual ordeal when it comes to taking midterms with Examplify. Every year Mac rolls out a new OS update. And every year, we advise against updating to the new OS until our exam software Examplify can release a compatible update that allows Examplify to work on the new system.

Once the update is available, Examplify will push it out to your computer and alert you that an update is available for install the next time you log into Examplify. Please remember, you MUST install the update in order for it to work on your new OS during finals.

Examplify is supported on the latest 4 versions of Mac OS. So this means that if you are running an OS that is 4 versions old, and a new OS is released then yep, you guessed it, that list bumps up by one and your old version is now 5 versions old and the new Examplify will no longer work on your now o

utdated OS. This means before the new OS release you need to either upgrade to a later version right or hope you don’t have an exam before ExamSoft can release a new update to make it compatible with the newest OS. Otherwise, you will find yourself in the unenviable position of being stuck on an outdated version that is no longer supported for use with Examplify, but not able to upgrade to the newest version because it isn’t compatible yet. 

To update your Mac OS, please visit your app store. To upgrade to the latest version of Examplify, just launch Examplify and install the update when prompted. Stay tuned to LawTech to be notified when it is safe to upgrade your Mac to the newest OS.

 

You can also check out ExamSoft’s minimum system requirements page to view what Mac OS versions are currently supported.